spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://192.168.1.42:3306/czg_cashier?useUnicode=true&characterEncoding=utf-8
    username: root
    password: Chaozg123.

  data:
    redis:
      host: 192.168.1.42
      port: 6379
      password: Chaozg123.
      timeout: 1000
      database: 0
      lettuce:
        pool:
          min-idle: 0
          max-idle: 8
          max-wait: -1ms
          max-active: 16

  cloud:
    nacos:
      discovery:
        server-addr: 121.40.109.122:8848
        namespace: 237e1905-0a66-4375-9bb6-a51c3c034aca

  rabbitmq:
    host: 121.40.109.122
    port: 5672
    username: chaozg
    password: chaozg123

dubbo:
  application:
    name: product-server
    qos-port: 22261
    qos-enable: true
  registry:
    address: nacos://121.40.109.122:8848 # Nacos 服务地址
    group: server-dev
  protocol:
    port: 10601
    threads: 20
    name: dubbo
    serialization: hessian2

seata:
  application-id: market-server
  tx-service-group: group_seata
  config:
    type: nacos
    nacos:
      server-addr: 121.40.109.122:8848
      namespace:
      group: group_seata

